{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.sys.bluetooth;
in {
  options.local.sys.bluetooth = {
    enable = mkEnableOption "bluetooth settings";
  };
  config = mkIf cfg.enable {
    hardware = {
      bluetooth = {
        enable = true;
        settings = {
          General = {
            Enable = "Source,Sink,Media,Socket";
          };
        };
      };
    };

    services = {
      blueman.enable = true;
    };
  };
}
